﻿using System;
using System.Collections.Generic;

namespace ChartIntegrationApplication
{
	public static class RandomDataGenerator
	{
		private static Random rand = new Random(DateTime.Now.Millisecond);

		public static double GetRounedDoubleValue()
		{
			return Math.Round(rand.NextDouble() * 100, 1);
		}

		public static List<DataClass> GetObjectData()
		{
			List<DataClass> list = new List<DataClass>();
            for (int index = 0; index < rand.Next(5, 10); index++)
				list.Add(new DataClass(string.Format("Item {0}", index)));

			return list;
		}
	}

	public class DataClass
	{
		private string stringValue;
		private double doubleValue;
		private double doubleValue2;
		
		public DataClass()
			: this("Test Label")
		{

		}

		public DataClass(string stringData)
			: this(RandomDataGenerator.GetRounedDoubleValue(),
				   RandomDataGenerator.GetRounedDoubleValue(), 
				   stringData)
		{

		}

		public DataClass(double doubleData, double doubleData2, string stringData)
		{
			this.DoubleData = doubleData;
			this.DoubleData2 = doubleData2;
			this.StringData = stringData;
		}

		public double DoubleData
		{
			get
			{
				return this.doubleValue;
			}
			set
			{
				this.doubleValue = value;
			}
		}

		public double DoubleData2
		{
			get
			{
				return this.doubleValue2;
			}
			set
			{
				this.doubleValue2 = value;
			}
		}

		public string StringData
		{
			get
			{
				return this.stringValue;
			}
			set
			{
				this.stringValue = value;
			}
		}
	}
}
